/* ── RESPONSIVE ── */
@media (max-width: 1200px) {
  :root {
    --font-size-h1: 28px;
    --font-size-h2: 22px;
    --font-size-h3: 20px;
    --font-size-body: 16px;
    --font-size-small: 0.6rem;
  }

  .navbar__hamburger {
    display: flex;
  }

  .navbar__links {
    display: none;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    position: absolute;
    top: 60px;
    left: 0;
    right: 0;
    background-color: var(--color-surface);
    padding: 1.5rem 2rem;
  }

  .navbar__links.open {
    display: flex;
  }

  .layout {
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding: 0 10% 0 10%!important;
  }

  .sidebar {
    order: 1;
    width: 100%;
    position: static;
    text-align: center;
    position: relative;
    top: 80px;
    height: auto;
  }

  .sidebar li {
    border-bottom: 1px solid var(--color-surface);
    padding: 5px;
    text-align: center !important;
  }

  .sidebar a {
    width: 100%;
    font-size: var(--font-size-body) !important;
  }

  .content{
    order: 2;
    flex: none;
    width: 100%;
  }

  .text-content {
    order: 2;
    width: 100%;
    max-width: 100%;
  }

  .text-content pre {
    max-width: 100%;
    overflow-x: auto;
    word-break: keep-all;
  }

  .text-content pre code {
    white-space: pre-wrap;
    text-wrap: nowrap;
    word-break:keep-all;
  }

  #footer {
    font-size: var(--font-size-body) !important;
  }

  #back-to-top{
    position: fixed;
    width: 32px;
    height: 32px;
    right: 20px;
    bottom: 20px;
    z-index: 101;
    background-color: rgba(53, 53, 53, 0.453);
    border-radius: 50px;
  }

  #back-to-top span{
    display: none!important;
  }

  #back-to-top svg{
    display: block!important;
  }
}
